﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _2ISForms
{
    /// <summary>
    /// Класс FormEntryField 
    /// предназначен для 
    /// Блокирования/Разблокирования Поля Ввода
    /// </summary>
    public partial class FormEntryField : System.Windows.Forms.Form
    {
        public FormEntryField()
        {
            InitializeComponent();
        }
        /// <summary>
        /// Метод btnLock_Click
        /// предназначен для
        /// блокирования Поля Ввода
        /// </summary>
        /// <param name="sender">Объект, вызвавший событие</param>
        /// <param name="e">Передает объект, относящийся к обрабатываемому событию</param>
        private void btnLock_Click(object sender, EventArgs e)
        {
            tbInput.Enabled = false;
        }
        /// <summary>
        /// Метод btnUnLock_Click
        /// предназначен для
        /// разблокирования Поля Ввода
        /// </summary>
        /// <param name="sender">Объект, вызвавший событие</param>
        /// <param name="e">Передает объект, относящийся к обрабатываемому событию</param>
        private void btnUnLock_Click(object sender, EventArgs e)
        {
            tbInput.Enabled = true;
        }
        /// <summary>
        /// Метод FormEntryField_Click
        /// Предназначен для
        /// Изменения цвета и невидимости элементов
        /// </summary>
        /// <param name="sender">Объект, вызвавший событие</param>
        /// <param name="e">Передает объект, относящийся к обрабатываемому событию</param>
        private void FormEntryField_Click(object sender, EventArgs e)
        {
            BackColor = Color.Red;
            tbInput.Visible = false;
            btnLock.Visible = false;
            btnUnLock.Visible = false;
        }
        /// <summary>
        /// Метод FormEntryField_DoubleClick
        /// Предназначен для
        /// Изменения цвета и видимости элементов
        /// </summary>
        /// <param name="sender">Объект, вызвавший событие</param>
        /// <param name="e">Передает объект, относящийся к обрабатываемому событию</param>
        private void FormEntryField_DoubleClick(object sender, EventArgs e)
        {
            BackColor = Color.SteelBlue;
            tbInput.Visible = true;
            btnLock.Visible = true;
            btnUnLock.Visible = true;
        }
    }
}
